spring.application.name=department-microservice
server.port=8303

# database configuration 
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQLDialect
#spring.datasource.url=jdbc:mysql://healthreflection.in:3306/healthreflection_hardware_management?useSSL=false&allowPublicKeyRetrieval=true&serverTimezone=UTC
#spring.datasource.username=healthreflection_goa_shipyard
#spring.datasource.password=GSL@Dench

spring.datasource.url=jdbc:mysql://localhost:3306/GSL_hardware_management
spring.datasource.username=root
spring.datasource.password=2004

spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql = true

#eureka server configuration
eureka.instance.prefer-ip-address=true
eureka.client.fetch-registry=true
eureka.client.register-with-eureka=true
#eureka.client.service-url.defaultZone=http://server.relianceacademyindia.com:8182/eureka
eureka.client.service-url.defaultZone=http://localhost:8182/eureka

# mysql connection pool
spring.datasource.hikari.maximum-pool-size=2
spring.datasource.hikari.minimum-idle=1
spring.datasource.hikari.idle-timeout=20000
spring.datasource.hikari.max-lifetime=600000